#include "hal_interface_lightsensor.h"
#include "hlog.h"

#define TAG "TAG_HAL_LIGHTSESNOR"

uint32_t hal_lightsensor_init(){
	hlogi("%s ok", __func__);
    hal_lightsensor_start();
	return 0;
}


uint32_t hal_lightsensor_deinit(){
    hal_lightsensor_stop();
	return 0;
}


uint32_t hal_lightsensor_get_adc(uint32_t *p_adc){
	*p_adc = 70;
	return 0;
}

DECLARE_INIT(PRI_AFTER_DRIVER, hal_lightsensor_init);
